<app-page>
  <mat-card fxFlex class="login-card center">
    <div class="mat-headline" [innerHTML]="'FEATURES.Login.labels.title' | translate"></div>
    <form novalidate fxLayout="column" fxLayoutGap="15px" class="normal-spacer"
      [formGroup]="loginForm"
      (ngSubmit)="onSubmit()">
      <app-input i18nMessageBase="FEATURES.Login.messages.username"
        [label]="'FEATURES.Login.labels.username' | translate"
        [control]="username"
        [required]="true">
      </app-input>
      <app-input hint="Secret" i18nMessageBase="FEATURES.Login.messages.password"
        [label]="'FEATURES.Login.labels.password' | translate"
        [control]="password"
        [required]="true"
        [suffixIcon]="suffixIcon"
        [type]="passwordType">
      </app-input>
      <app-button color="primary" type="raised" icon="favorite" class="normal-spacer"
        [label]="'FEATURES.Login.labels.login' | translate" 
        [disabled]="(authStore?.loading$ | async) || (loginForm?.statusChanges | async) === 'INVALID'">
      </app-button>
    </form>
    <mat-progress-bar *ngIf="authStore?.loading$ | async" color="accent" mode="indeterminate"></mat-progress-bar>
  </mat-card>
</app-page>